Add Label to Queue

Attach an annotation label to a queue.

Add Label to Queue

Add an existing annotation label to a queue so annotators can use it when annotating items.

POST https://api.futureagi.com/model-hub/annotation-queues/{id}/add-label/
Bearer
          Click "Try It" to send a request
        

Authentication

HeaderDescription
X-Api-KeyYour API key
X-Secret-KeyYour secret key

Path Parameters

ParameterTypeRequiredDescription
idUUIDYesThe annotation queue ID

Request Body

FieldTypeRequiredDescription
label_idUUIDYesThe annotation label ID to add

Response

Returns the updated queue object with the new label included in the labels array.

Code Examples

import requests

queue_id = "your-queue-uuid"
resp = requests.post(
    f"https://api.futureagi.com/model-hub/annotation-queues/{queue_id}/add-label/",
    headers={"X-Api-Key": "YOUR_KEY", "X-Secret-Key": "YOUR_SECRET"},
    json={"label_id": "label-uuid"}
)
print(resp.json())
import axios from 'axios';

const queueId = 'your-queue-uuid';
const resp = await axios.post(
  `https://api.futureagi.com/model-hub/annotation-queues/${queueId}/add-label/`,
  { labelId: 'label-uuid' },
  { headers: { 'X-Api-Key': 'YOUR_KEY', 'X-Secret-Key': 'YOUR_SECRET' } }
);
console.log(resp.data);
curl -X POST "https://api.futureagi.com/model-hub/annotation-queues/your-queue-uuid/add-label/" \
  -H "X-Api-Key: YOUR_KEY" \
  -H "X-Secret-Key: YOUR_SECRET" \
  -H "Content-Type: application/json" \
  -d '{"label_id": "label-uuid"}'
Was this page helpful?

Questions & Discussion